<?php
define('EmpireCMSAdmin','1');

require dirname(dirname(dirname(__DIR__))) . DIRECTORY_SEPARATOR . 'class' . DIRECTORY_SEPARATOR . 'connect.php';
require ECMS_PATH . DIRECTORY_SEPARATOR . 'e' . DIRECTORY_SEPARATOR . 'class' . DIRECTORY_SEPARATOR . 'functions.php';

// error_reporting(E_ALL);
$link=db_connect();
$empire=new mysqlquery();

//验证用户
$lur = is_login();
$logininid=$lur['userid'];
$loginin=$lur['username'];
$loginrnd=$lur['rnd'];
$loginlevel=(int)$lur['groupid'];
$loginadminstyleid=(int)$lur['adminstyleid'];
//ehash
$ecms_hashur=hReturnEcmsHashStrAll();

$enews = isset($_POST['enews']) && $_POST['enews'] ? $_POST['enews'] : null;

//加载
$allcityconf= Config::twoir('allcityconf');

if (in_array($enews, ['rewriteset', 'modset'])) {
	$s = '/**' . "\r\n";
	$s .=' * 重写规则：' . "\r\n";
	$s .=' * myarea 地区， column 顶级栏目，area 县区id classid 栏目/子栏目和对应模型结合项字段' . "\r\n";
	$s .=' * cighsen02 365182575 2021.10.04' . "\r\n";
	$s .=' */' . "\r\n";
}

//存放伪静
if ('rewriteset' === $enews) {
	
	$update = false;
	array_walk($allcityconf['model'], function($v, $k) use (&$allcityconf, &$update) {
		
		//更新
		if(isset($allcityconf['rewrite'][$v], $_POST[$v]) && $allcityconf['rewrite'][$v] !== $_POST[$v]) {
			
			$allcityconf['rewrite'][$v] = $_POST[$v];
			$update = true;
		}
	});

	if ($update && defined('TWOIR') && TWOIR) {
	
		$conf_file = dirname(TWOIR) . DIRECTORY_SEPARATOR . 'allcityconf.php';
		//写入文件
		if (file_exists($conf_file)){
			
			$str = "<?php" . "\r\n" . $s . "return " . var_export($allcityconf, TRUE).";\r\n";
			WriteFiletext_n($conf_file, $str);
		}
	}
	
	printerror('伪静设置成功','allcityset.php' . hReturnEcmsHashStrHref2(1),1,0,1);
}
//模型开启
elseif ('modset' === $enews) {
	
	//取所有数据表名
	$mod_r = array_map(function($val) {return $val['tbname'];}, $emod_r);
	
	$data = [];
	$emod = isset($_POST['emod_r']) && $_POST['emod_r'] ? $_POST['emod_r'] : [];
	foreach($emod as $mod) {
		
		//提交是合法
		if(in_array($mod, $mod_r)) {
			
			$data[] = $mod;
			
			//增加
			if (!isset($allcityconf['rewrite'][$mod])) {
				
				$allcityconf['rewrite'][$mod] = [
					'list' => '[!--myarea--]/[!--column--]/c[!--classid--]/index_[!--page--].html',
					'page' => '[!--myarea--]/[!--column--]/[!--id--].html'
				];
			}
		}
	}
	
	//更数据库
	$allcityconf['model'] 	= $data;
	$allcityconf['rewrite'] = array_filter($allcityconf['rewrite'], function($key) use ($data) {return in_array($key, $data);}, ARRAY_FILTER_USE_KEY);
	
	if (defined('TWOIR') && TWOIR) {
		
		$conf_file = dirname(TWOIR) . DIRECTORY_SEPARATOR . 'allcityconf.php';
		
		//写入文件
		if (file_exists($conf_file)){
			
			$str = "<?php" . "\r\n" . $s . "return " . var_export($allcityconf, TRUE).";\r\n";
			WriteFiletext_n($conf_file, $str);
		}
	}
	
	printerror('开启模型设置成功','allcityset.php' . hReturnEcmsHashStrHref2(1),1,0,1);
}
?>
<!DOCTYPE html>
<html>
<head>
<link href="../../adminstyle/1/adminstyle.css" rel="stylesheet" type="text/css">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>在线支付</title>
</head>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
<tr>
	<td>位置：AllCity管理&gt; <a href="allcityset.php?<?=$ecms_hashur['ehref']?>">基础参数设置</a></td>
	<td width="50%"></td>
</tr>
</table>
<br>
<?php foreach($allcityconf as $key => $item):?>
<?php if('model' === $key):?>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
	<tbody>
		<tr class="header"> 
			<td width="12%" height="25"><div align="center">参数名</div></td>
			<td width="58%" height="25"><div align="center">选择要开启模型</div></td>
			<td width="30%" height="25"><div align="center">操作</div></td>
		</tr>  
		<form name="form2" method="post" action="allcityset.php">
		<input name="enews" type="hidden" id="enews" value="modset">
		<?=$ecms_hashur['form']?>
		
		<tr bgcolor="#FFFFFF" onmouseout="this.style.backgroundColor='#ffffff'" onmouseover="this.style.backgroundColor='#C3EFFF'" style="background-color: rgb(255, 255, 255);"> 
			<td height="25"><div align="right"> 设置要启用的模型: </div></td>
			<td height="25">
			
				<?php foreach($emod_r as $id => $mod):?>
				
				<input type="checkbox" name="emod_r[]" value="<?php echo $mod['tbname'];?>"<?php echo in_array($mod['tbname'], $item) ? ' checked' : '';?>> <?php echo $mod['mname'];?>
				
				<?php endforeach;?>				
			</td>
			<td height="25">
				<div align="center">
					<input type="submit" name="Submit3" value="修改">&nbsp; 
				</div>
			</td>
		</tr>
		</form>
	</tbody>
</table>
<table width="100%" border="0" cellspacing="1" cellpadding="3">
	<tbody>
		<tr>
			<td height="25"><font color="#666666">说明：选中为开启功能。</font></td>
		</tr>
	</tbody>
</table>
<br>
<?php elseif('rewrite' === $key):?>
<br>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
	<tbody>
		<tr class="header"> 
			<td width="10%" height="25"><div align="center">参数名</div></td>
			<td width="48%" height="25"><div align="center">设置值</div></td>
			<td width="42%" height="25"><div align="center">伪静说明</div></td>
		</tr>  
		<form name="form3" method="post" action="allcityset.php">
		<input name="enews" type="hidden" id="enews" value="rewriteset">
		<?=$ecms_hashur['form']?>
		
		<?php foreach($item as $m => $c):?>
		
		<?php if(isset($c['list'])):?>
		<tr bgcolor="#FFFFFF" onmouseout="this.style.backgroundColor='#ffffff'" onmouseover="this.style.backgroundColor='#C3EFFF'" style="background-color: rgb(255, 255, 255);"> 
			<td height="25"><div align="right"><?php echo $m;?>模型 列表伪静规则: </div></td>
			<td height="25"><input name="<?php echo $m;?>[list]" type="text" id="list" style="width: 95%;" value="<?=$c['list']?>"></td>
			<td height="25">/e/action/ListInfo.php?column=顶级栏目&classid=classid&ph=1&myarea=城市代码myarea&area=区域代码area&page=页码</td>
		</tr>
		<?php endif;?>
		<?php if(isset($c['page'])):?>
		<tr bgcolor="#FFFFFF" onmouseout="this.style.backgroundColor='#ffffff'" onmouseover="this.style.backgroundColor='#C3EFFF'" style="background-color: rgb(255, 255, 255);">
			<td height="25"><div align="right"><?php echo $m;?>模型 详情页伪静规则: </div></td>
			<td height="25"><input name="<?php echo $m;?>[page]" type="text" id="page" style="width: 95%;" value="<?=$c['page']?>"></td>
			<td height="25">/e/action/ShowInfo.php?column=顶级栏目&classid=classid&ph=1&myarea=城市代码myarea&id=信息id</td>
		</tr>
		<?php endif;?>
		
		<?php endforeach;?>
		
		<tr bgcolor="#FFFFFF" style="background-color: rgb(255, 255, 255);">
			<td height="25"></td>
			<td height="25">
				<div align="center">
					<input type="submit" name="Submit3" value="修改">&nbsp; 
				</div>
			</td>
			<td height="25"></td>
		</tr>
		</form>
	</tbody>
</table>

<table width="100%" border="0" cellspacing="1" cellpadding="3">
	<tbody>
		<tr>
			<td height="25"><font color="#666666">说明：开启伪静功能前，请服务器做好相关配制，否则网站无法正常访问。</font></td>
		</tr>
	</tbody>
</table>
<?php endif;?>
<?php endforeach;?>
<?php
db_close();
$empire=null;
?>
</body>
</html>